import React from "react";
import accessibility from '../../../assets/svg/Accessibility.svg'
import world from '../../../assets/svg/World.svg'

const DATAHUB = ['Tournament', 'MVP', 'Extras', 'Options', 'Types']
const DATAINFO = ['Infos', 'Demo', 'Stuff', 'Options', 'Types']
const DATAPRICE = ['Pricing', 'Features', 'Extras', 'Options', 'Specials']
const DATALEGAL = ['Tournament', 'MVP', 'Extras', 'Options', 'Types']
const DATASUPPORT = ['Tournament', 'MVP', 'Extras', 'Options', 'Types']
const DATAIMPRESSUM = ['Hub', 'Info', 'Price', 'Legal', 'Support']

const InfoBox = ({infoCategory, arrName}) => {

    const list = arrName.map(value => (
        <div>{value}</div>
    ))

    return (
        <div className='flex flex-col gap-4 text-[16px] font-bold max-md:flex-row max-md:items-center max-md:flex-wrap'>
            {infoCategory}
            <div className='gap-10 py-2 font-normal text-[14px] max-md:flex max-md:flex-wrap '>
                {list}
            </div>
        </div>
    )
}

const Footer = () => {
    return (
        <div className='max-w-[1065px] min-h-[325px] bg-deepPurple ms-auto me-auto pt-10'>
            <div className='flex justify-around max-md:flex-col max-md:items-center '>
                <div className='flex justify-start ml-[5%] text-2xl'>
                    TJONE
                </div>
                <div className='flex justify-end w-[960px] h-[175px] mr-[5%] text-darkGray gap-10 max-md:hidden'>
                    <InfoBox infoCategory='Hub' arrName={DATAHUB}/>
                    <InfoBox infoCategory='Info' arrName={DATAINFO}/>
                    <InfoBox infoCategory='Price' arrName={DATAPRICE}/>
                    <InfoBox infoCategory='Legal' arrName={DATALEGAL}/>
                    <InfoBox infoCategory='Support' arrName={DATASUPPORT}/>
                </div>
                <div className='hidden max-md:flex max-md:justify-end'>
                    <InfoBox infoCategory='Impressum' arrName={DATAIMPRESSUM}/>
                </div>
            </div>
            <div className='flex items-center max-w-[960px] ml-[5%] mt-10 border-t-2 border-darkGray'>
                <div className='flex justify-between w-screen gap-2 max-md:flex-col max-md:justify-center max-md:items-center'>
                    <div className='flex min-w-fit'>
                        @ 2023 TJONE. All rights reserved.
                    </div>
                    <div className='flex items-center gap-4 min-w-fit'>
                        <div>
                            Terms
                        </div>
                        <div>
                            Privacy
                        </div>
                        <div>
                            Contact
                        </div>
                        <div className='flex items-center gap-5'>
                            <div className='flex items-center'>
                                <img src={world} alt='World' className='w-5 h-5'/>
                                <div>
                                    EN
                                </div>
                            </div>
                            <img src={accessibility} alt='Accessibility' className='w-5 h-5'/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    )
}

export default Footer