/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      colors: {
        'darkGray': '#272525',
        'deepPurple': '#916CFA',
        'lightGray': '#D9D9D9',
      },
      keyframes: {
        'spin-slow': {
          '0%, 100%': { backgroundColor: '#916CFA' },
          '50%': { backgroundColor: '#916CFA', opacity: '80%' },
        },
      },
      animation: {
        'spin-slow': 'spin-slow 8s linear infinite',
      },
      backgroundImage: {
        'hero-pattern': "url('/assets/svg/hero-pattern.svg')"
      }
    },
  },
  plugins: [],
}